<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="appform_pdf_planDetails">
  <div class="section">
    <p class="sectionGroup">
      <span class="sectionGroup">PLAN DETAILS</span>
    </p>

    <table class="dataGroup">
      <col width="10%"/>
      <col width="30%"/>
      <col width="18%"/>
      <col width="15%"/>
      <col width="13%"/>
      <col width="14%"/>
      <thead>
        <xsl:for-each select="/root/planDetails/planList[covCode = /root/baseProductCode]">
          <tr>
            <xsl:variable name="basicPlanName">
              <xsl:choose>
                <xsl:when test="/root/lang = 'en'">
                  <xsl:value-of select="./covName/en"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="./covName/zh-Hant"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:variable>

            <xsl:call-template name="infoSectionHeaderNoneTmpl">
              <xsl:with-param name="sectionHeader" select="$basicPlanName"/>
              <xsl:with-param name="colspan" select="6"/>
            </xsl:call-template>
          </tr>
        </xsl:for-each>
      </thead>
      <tbody>
        <tr class="dataGroup">
          <td class="tdFirst padding">
            <p class="title">
              <span lang="EN-HK" class="questionItalic"><br/></span>
            </p>
          </td>
          <td class="tdMid">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Plan / Rider Name</span>
            </p>
          </td>
          <td class="tdMid">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Sum Assured/ Benefits</span>
            </p>
          </td>
          <td class="tdMid">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Multiplier Benefit</span>
            </p>
          </td>
          <td class="tdMid">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Policy Term</span>
            </p>
          </td>
          <td class="tdLast padding">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Premium Term</span>
            </p>
          </td>
        </tr>
        <tr class="dataGroup">
          <td class="tdFirst padding">
            <p class="title noPadding">
              <span lang="EN-HK" class="questionItalic">Basic Plan</span>
            </p>
          </td>
          <xsl:for-each select="/root/planDetails/displayPlanList">
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:choose>
                    <xsl:when test="/root/lang = 'en'">
                      <xsl:value-of select="./covName/en"/>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="./covName/zh-Hant"/>
                    </xsl:otherwise>
                  </xsl:choose>
                </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="./sumInsured"/>
                </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="./multiplyBenefit"/>
                </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="./polTermDesc"/>
                </span>
              </p>
            </td>
            <td class="tdLast padding">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="./premTermDesc"/>
                </span>
              </p>
            </td>
          </xsl:for-each>
        </tr>
        <xsl:for-each select="/root/planDetails/riderList">
          <tr class="dataGroup">
            <xsl:attribute name="class">
              <xsl:choose>
                <xsl:when test="position() mod 2 = 0">
                  <xsl:value-of select="'even'"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="'odd'"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:attribute>
            <td class="tdFirst padding">
              <p class="title noPadding">
                <span lang="EN-HK" class="questionItalic">
                  <xsl:choose>
                    <xsl:when test="position() = 1">Rider</xsl:when>
                    <xsl:otherwise></xsl:otherwise>
                  </xsl:choose>
                </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:choose>
                    <xsl:when test="/root/lang = 'en'">
                      <xsl:value-of select="./covName/en"/>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="./covName/zh-Hant"/>
                    </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                    <xsl:when test="./covCode = 'MBX'">
                      <span lang="EN-HK" class="answer small"> (Packaged Rider)</span>
                    </xsl:when>
                    <xsl:when test="./covCode = 'ADBX'">
                      <span lang="EN-HK" class="answer small"> (Packaged Rider)</span>
                    </xsl:when>
                    <xsl:when test="./covCode = 'TPDX'">
                      <span lang="EN-HK" class="answer small"> (Packaged Rider)</span>
                    </xsl:when>
                  </xsl:choose>
                </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:choose>
                    <xsl:when test="./saViewInd = 'Yes'">-</xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="./sumInsured"/>
                    </xsl:otherwise>
                  </xsl:choose>
                </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="./multiplyBenefit"/>
                </span>
              </p>
            </td>
            <td class="tdMid">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="./polTermDesc"/>
                </span>
              </p>
            </td>
            <td class="tdLast padding">
              <p class="answer">
                <span lang="EN-HK" class="answer">
                  <xsl:value-of select="./premTermDesc"/>
                </span>
              </p>
            </td>
          </tr>
        </xsl:for-each>
      </tbody>
    </table>

    <table class="dataGroupLast">
      <thead>
        <tr>
          <xsl:call-template name="infoSectionHeaderNoneTmpl">
            <xsl:with-param name="sectionHeader" select="'Other Plan Details'"/>
            <xsl:with-param name="colspan" select="8"/>
          </xsl:call-template>
        </tr>
      </thead>
      <tbody>
        <col width="25%"/>
        <col width="25%"/>
        <col width="25%"/>
        <col width="25%"/>
        <tr class="dataGroup">
          <td colspan="2" class="tdFirst padding">
            <p class="title">
                <span lang="EN-HK" class="questionItalic">Policy Currency</span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/planDetails/ccy"/>
              </span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="title">
                <span lang="EN-HK" class="questionItalic">Backdating</span>
            </p>
          </td>
          <td colspan="2" class="tdLast padding">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/planDetails/isBackDate"/>
              </span>
            </p>
          </td>
        </tr>
        <tr class="dataGroup">
          <td colspan="2" class="tdFirst padding">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Payment Mode</span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/planDetails/paymentMode"/>
              </span>
            </p>
          </td>
          <td colspan="2" class="tdMid">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">
                <xsl:choose>
                  <xsl:when test="not(/root/planDetails/isBackDate = 'No')">Selected Commencement Date (dd/mm/yyyy)</xsl:when>
                  <xsl:otherwise></xsl:otherwise>
                </xsl:choose>
              </span>
            </p>
          </td>
          <td colspan="2" class="tdLast padding">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:choose>
                  <xsl:when test="not(/root/planDetails/isBackDate = 'No')">
                    <xsl:value-of select="/root/planDetails/riskCommenDate"/>
                  </xsl:when>
                  <xsl:otherwise></xsl:otherwise>
                </xsl:choose>
              </span>
            </p>
          </td>
        </tr>
        <tr class="dataGroup">
          <td colspan="2" class="tdFirst padding" style="border-bottom: solid windowtext 1.0pt;">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Multiplying Factor</span>
            </p>
          </td>

          <td colspan="2" class="tdMid" style="border-bottom: solid windowtext 1.0pt;">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/policyOptionsDesc/multiFactor/en"/>
              </span>
            </p>
          </td>
          <td colspan="2" class="tdMid" style="border-bottom: solid windowtext 1.0pt;">
            <p class="title">
              <span lang="EN-HK" class="questionItalic">Total Premium Amount (including riders if any)</span>
            </p>
          </td>

          <td colspan="2" class="tdLast padding" style="border-bottom: solid windowtext 1.0pt;">
            <p class="answer">
              <span lang="EN-HK" class="answer">
                <xsl:value-of select="/root/planDetails/totYearPrem"/>
              </span>
            </p>
          </td>
        </tr>
      </tbody>
    </table>

    <p class="sectionGroup">
      <span class="sectionGroup"><br/></span>
    </p>
  </div>
</xsl:template>

</xsl:stylesheet>
